org.cybergarage.upnp.xml

## Class StateVariableData

- java.lang.Object
- - org.cybergarage.upnp.xml.NodeData
  - - org.cybergarage.upnp.xml.StateVariableData

-     public class StateVariableData
      extends NodeData

  Data container for UPnP state variable information.

  This class extends NodeData to represent state variable definitions from UPnP service descriptions. It encapsulates metadata about state variables including their current values, data types, and query listeners.

  Key features:

  - State variable value storage
  - Query listener management
  - XML node data inheritance
  - Service description integration
  - Variable metadata handling

  This class is used by UPnP services to manage state variable definitions and their current values, enabling proper service description generation and query response handling.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateVariableData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryListener` | `getQueryListener()`
    `QueryResponse` | `getQueryResponse()`
    `String` | `getValue()`
    `void` | `setQueryListener(QueryListener queryListener)`
    `void` | `setQueryResponse(QueryResponse res)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class org.cybergarage.upnp.xml.NodeData

      `getNode, setNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StateVariableData

          public StateVariableData()

  - ### Method Detail

    - #### getQueryListener

          public QueryListener getQueryListener()

    - #### getQueryResponse

          public QueryResponse getQueryResponse()

    - #### getValue

          public String getValue()

    - #### setQueryListener

          public void setQueryListener(QueryListener queryListener)

    - #### setQueryResponse

          public void setQueryResponse(QueryResponse res)

    - #### setValue

          public void setValue(String value)